<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: ExpansionPhysicsStructure Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/de8/a04737.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">ExpansionPhysicsStructure Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ExpansionPhysicsStructure:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d3/de8/a04737.png" usemap="#ExpansionPhysicsStructure_map" alt=""/>
  <map id="ExpansionPhysicsStructure_map" name="ExpansionPhysicsStructure_map">
<area href="../../d1/df9/a03665.html" alt="ItemBase" shape="rect" coords="0,0,166,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a42fc3a16fb92e038dc7f06b9ad4191ed"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a42fc3a16fb92e038dc7f06b9ad4191ed">ExpansionPhysicsStructure</a> ()</td></tr>
<tr class="separator:a42fc3a16fb92e038dc7f06b9ad4191ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:addf87d513bb135272f68a8147bcc0ff8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#addf87d513bb135272f68a8147bcc0ff8">~ExpansionPhysicsStructure</a> ()</td></tr>
<tr class="separator:addf87d513bb135272f68a8147bcc0ff8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeab85092e6ec9ac25818f16eb8ddb717"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#aeab85092e6ec9ac25818f16eb8ddb717">Create</a> (Object bakedObject, EntityAI other, vector <a class="el" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>, Contact data)</td></tr>
<tr class="separator:aeab85092e6ec9ac25818f16eb8ddb717"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a905953b9b1099c65bae89b85a8f3d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a2a905953b9b1099c65bae89b85a8f3d3">AdjustPosition</a> (float yPos, vector <a class="el" href="../../d2/d11/a02384.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>)</td></tr>
<tr class="separator:a2a905953b9b1099c65bae89b85a8f3d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a986a97c47054d00b9147cbf2908c10ec"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a986a97c47054d00b9147cbf2908c10ec">OnCreate</a> ()</td></tr>
<tr class="separator:a986a97c47054d00b9147cbf2908c10ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a701a99b96999b1afd9aa5659468a6591"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a701a99b96999b1afd9aa5659468a6591">OnDestroy</a> ()</td></tr>
<tr class="separator:a701a99b96999b1afd9aa5659468a6591"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8c5c165b766c48a9a5c642200132ec3"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#ac8c5c165b766c48a9a5c642200132ec3">ExpansionGetPhysicsType</a> ()</td></tr>
<tr class="separator:ac8c5c165b766c48a9a5c642200132ec3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5112f77aa9aacb4b35eacaf1b70303a"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#ac5112f77aa9aacb4b35eacaf1b70303a">Expansion_CarContactActivates</a> ()</td></tr>
<tr class="separator:ac5112f77aa9aacb4b35eacaf1b70303a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef5536ebf653b22b8eaf0c154f079267"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#aef5536ebf653b22b8eaf0c154f079267">OnVariablesSynchronized</a> ()</td></tr>
<tr class="separator:aef5536ebf653b22b8eaf0c154f079267"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a677a4a7a0100c0bf258cf613a2cc8909"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a677a4a7a0100c0bf258cf613a2cc8909">EOnContact</a> (IEntity other, Contact extra)</td></tr>
<tr class="separator:a677a4a7a0100c0bf258cf613a2cc8909"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:afd99c05a34217045be63f87d5308fd0b"><td class="memItemLeft" align="right" valign="top">vector&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#afd99c05a34217045be63f87d5308fd0b">m_Transform</a> [4]</td></tr>
<tr class="separator:afd99c05a34217045be63f87d5308fd0b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affc79762d4c1957d6f51d6f01d779d63"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#affc79762d4c1957d6f51d6f01d779d63">m_PosX</a></td></tr>
<tr class="separator:affc79762d4c1957d6f51d6f01d779d63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a816ddc3f6ff3ad5636a0e5617c4d6ad3"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a816ddc3f6ff3ad5636a0e5617c4d6ad3">m_PosY</a></td></tr>
<tr class="separator:a816ddc3f6ff3ad5636a0e5617c4d6ad3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60f26c2634995f1ce5d34c5616f5eced"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a60f26c2634995f1ce5d34c5616f5eced">m_PosZ</a></td></tr>
<tr class="separator:a60f26c2634995f1ce5d34c5616f5eced"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a40e1fd4ead1845ea7db368dbbdd70"><td class="memItemLeft" align="right" valign="top">Object&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/de8/a04737.html#a90a40e1fd4ead1845ea7db368dbbdd70">m_BakedMapObject</a></td></tr>
<tr class="separator:a90a40e1fd4ead1845ea7db368dbbdd70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00003">3</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a42fc3a16fb92e038dc7f06b9ad4191ed" name="a42fc3a16fb92e038dc7f06b9ad4191ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a42fc3a16fb92e038dc7f06b9ad4191ed">&#9670;&#160;</a></span>ExpansionPhysicsStructure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::ExpansionPhysicsStructure </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00013">13</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="addf87d513bb135272f68a8147bcc0ff8" name="addf87d513bb135272f68a8147bcc0ff8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#addf87d513bb135272f68a8147bcc0ff8">&#9670;&#160;</a></span>~ExpansionPhysicsStructure()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::~ExpansionPhysicsStructure </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00022">22</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a2a905953b9b1099c65bae89b85a8f3d3" name="a2a905953b9b1099c65bae89b85a8f3d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2a905953b9b1099c65bae89b85a8f3d3">&#9670;&#160;</a></span>AdjustPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::AdjustPosition </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yPos</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00060">60</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="aeab85092e6ec9ac25818f16eb8ddb717" name="aeab85092e6ec9ac25818f16eb8ddb717"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aeab85092e6ec9ac25818f16eb8ddb717">&#9670;&#160;</a></span>Create()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::Create </td>
          <td>(</td>
          <td class="paramtype">Object&#160;</td>
          <td class="paramname"><em>bakedObject</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">EntityAI&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&#160;</td>
          <td class="paramname"><em>position</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Contact&#160;</td>
          <td class="paramname"><em>data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00027">27</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="a677a4a7a0100c0bf258cf613a2cc8909" name="a677a4a7a0100c0bf258cf613a2cc8909"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a677a4a7a0100c0bf258cf613a2cc8909">&#9670;&#160;</a></span>EOnContact()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionPhysicsStructure::EOnContact </td>
          <td>(</td>
          <td class="paramtype">IEntity&#160;</td>
          <td class="paramname"><em>other</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">Contact&#160;</td>
          <td class="paramname"><em>extra</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00136">136</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="ac5112f77aa9aacb4b35eacaf1b70303a" name="ac5112f77aa9aacb4b35eacaf1b70303a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5112f77aa9aacb4b35eacaf1b70303a">&#9670;&#160;</a></span>Expansion_CarContactActivates()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override bool ExpansionPhysicsStructure::Expansion_CarContactActivates </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00098">98</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="ac8c5c165b766c48a9a5c642200132ec3" name="ac8c5c165b766c48a9a5c642200132ec3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac8c5c165b766c48a9a5c642200132ec3">&#9670;&#160;</a></span>ExpansionGetPhysicsType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d0/d4a/a01862.html#ab0d3751e7cfc681ef2822b92401bbaba">string</a> ExpansionPhysicsStructure::ExpansionGetPhysicsType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00091">91</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="a986a97c47054d00b9147cbf2908c10ec" name="a986a97c47054d00b9147cbf2908c10ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a986a97c47054d00b9147cbf2908c10ec">&#9670;&#160;</a></span>OnCreate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::OnCreate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00075">75</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="a701a99b96999b1afd9aa5659468a6591" name="a701a99b96999b1afd9aa5659468a6591"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a701a99b96999b1afd9aa5659468a6591">&#9670;&#160;</a></span>OnDestroy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void ExpansionPhysicsStructure::OnDestroy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00083">83</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="aef5536ebf653b22b8eaf0c154f079267" name="aef5536ebf653b22b8eaf0c154f079267"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aef5536ebf653b22b8eaf0c154f079267">&#9670;&#160;</a></span>OnVariablesSynchronized()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ExpansionPhysicsStructure::OnVariablesSynchronized </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00103">103</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a90a40e1fd4ead1845ea7db368dbbdd70" name="a90a40e1fd4ead1845ea7db368dbbdd70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a90a40e1fd4ead1845ea7db368dbbdd70">&#9670;&#160;</a></span>m_BakedMapObject</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Object ExpansionPhysicsStructure::m_BakedMapObject</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00011">11</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="affc79762d4c1957d6f51d6f01d779d63" name="affc79762d4c1957d6f51d6f01d779d63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#affc79762d4c1957d6f51d6f01d779d63">&#9670;&#160;</a></span>m_PosX</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionPhysicsStructure::m_PosX</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00007">7</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="a816ddc3f6ff3ad5636a0e5617c4d6ad3" name="a816ddc3f6ff3ad5636a0e5617c4d6ad3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a816ddc3f6ff3ad5636a0e5617c4d6ad3">&#9670;&#160;</a></span>m_PosY</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionPhysicsStructure::m_PosY</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00008">8</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="a60f26c2634995f1ce5d34c5616f5eced" name="a60f26c2634995f1ce5d34c5616f5eced"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a60f26c2634995f1ce5d34c5616f5eced">&#9670;&#160;</a></span>m_PosZ</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float ExpansionPhysicsStructure::m_PosZ</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00009">9</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<a id="afd99c05a34217045be63f87d5308fd0b" name="afd99c05a34217045be63f87d5308fd0b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afd99c05a34217045be63f87d5308fd0b">&#9670;&#160;</a></span>m_Transform</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">vector ExpansionPhysicsStructure::m_Transform[4]</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d8/d11/a01178_source.html#l00005">5</a> of file <a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>DayzExpansion/Core/Scripts/4_world/dayzexpansion_core/entities/collision/<a class="el" href="../../d8/d11/a01178_source.html">expansionphysicsstructure.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/de8/a04737.html">ExpansionPhysicsStructure</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
